#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    int suma=0;
    int x[n];
    int y[n];
    int z[n];
    int x1[n];
    int y1[n];
    int z1[n];
    for (int i=0; i<n; i++)
    {
        cin >> x1[i];
        x[i]=x1[i]-1;
    }
    for (int i=0; i<n; i++)
    {
        cin >>y1[i];
        y[i]=y1[i]-1;
    }
    for (int i=0; i<n; i++)
    {
        cin >> z1[i];
        z[i]=z1[i]-1;

    }
    
    sort (x, x+n);
    sort (z, z+n);
    
    for (int i=0; i<n; i++)
    {
        int brojx=0;
        int brojz=0;
        for (int j=0; j<n; j++)
        {
            if (x[j]==y[i])
            {
                brojx++;
            }
            if (x[j]>y[i])
            {
                j=n;
            }
        }

        for (int j=0; j<n; j++)
        {
            if (z[j]==i)
            {
                brojz++;
            }
            if (z[j]>i)
            {
                j=n;
            }
        }


        suma+=brojz*brojx;
    }
    cout << suma << endl;
    return 0;
}